<?php

/**
 * A helper file for Dcat Admin, to provide autocomplete information to your IDE
 *
 * This file should not be included in your code, only analyzed by your IDE!
 *
 * @author jqh <841324345@qq.com>
 */
namespace Dcat\Admin {
    use Illuminate\Support\Collection;

    /**
     * @property Grid\Column|Collection id
     * @property Grid\Column|Collection name
     * @property Grid\Column|Collection type
     * @property Grid\Column|Collection version
     * @property Grid\Column|Collection detail
     * @property Grid\Column|Collection created_at
     * @property Grid\Column|Collection updated_at
     * @property Grid\Column|Collection is_enabled
     * @property Grid\Column|Collection parent_id
     * @property Grid\Column|Collection order
     * @property Grid\Column|Collection icon
     * @property Grid\Column|Collection uri
     * @property Grid\Column|Collection extension
     * @property Grid\Column|Collection permission_id
     * @property Grid\Column|Collection menu_id
     * @property Grid\Column|Collection slug
     * @property Grid\Column|Collection http_method
     * @property Grid\Column|Collection http_path
     * @property Grid\Column|Collection role_id
     * @property Grid\Column|Collection user_id
     * @property Grid\Column|Collection value
     * @property Grid\Column|Collection username
     * @property Grid\Column|Collection password
     * @property Grid\Column|Collection avatar
     * @property Grid\Column|Collection remember_token
     * @property Grid\Column|Collection image
     * @property Grid\Column|Collection sort
     * @property Grid\Column|Collection is_opened
     * @property Grid\Column|Collection deleted_at
     * @property Grid\Column|Collection migration
     * @property Grid\Column|Collection batch
     * @property Grid\Column|Collection phone_num
     * @property Grid\Column|Collection wechat_num
     * @property Grid\Column|Collection email
     * @property Grid\Column|Collection token
     * @property Grid\Column|Collection level
     * @property Grid\Column|Collection pid
     * @property Grid\Column|Collection product_id
     * @property Grid\Column|Collection cover_img
     * @property Grid\Column|Collection origin_price
     * @property Grid\Column|Collection sale_price
     * @property Grid\Column|Collection cases
     * @property Grid\Column|Collection tech_param
     * @property Grid\Column|Collection cad_model
     * @property Grid\Column|Collection cad_design
     * @property Grid\Column|Collection su_model
     * @property Grid\Column|Collection other
     * @property Grid\Column|Collection logo
     * @property Grid\Column|Collection showroom_id
     * @property Grid\Column|Collection videos
     * @property Grid\Column|Collection images
     * @property Grid\Column|Collection nickname
     * @property Grid\Column|Collection mobile
     * @property Grid\Column|Collection open_id
     * @property Grid\Column|Collection union_id
     * @property Grid\Column|Collection status
     * @property Grid\Column|Collection email_verified_at
     * @property Grid\Column|Collection remark
     *
     * @method Grid\Column|Collection id(string $label = null)
     * @method Grid\Column|Collection name(string $label = null)
     * @method Grid\Column|Collection type(string $label = null)
     * @method Grid\Column|Collection version(string $label = null)
     * @method Grid\Column|Collection detail(string $label = null)
     * @method Grid\Column|Collection created_at(string $label = null)
     * @method Grid\Column|Collection updated_at(string $label = null)
     * @method Grid\Column|Collection is_enabled(string $label = null)
     * @method Grid\Column|Collection parent_id(string $label = null)
     * @method Grid\Column|Collection order(string $label = null)
     * @method Grid\Column|Collection icon(string $label = null)
     * @method Grid\Column|Collection uri(string $label = null)
     * @method Grid\Column|Collection extension(string $label = null)
     * @method Grid\Column|Collection permission_id(string $label = null)
     * @method Grid\Column|Collection menu_id(string $label = null)
     * @method Grid\Column|Collection slug(string $label = null)
     * @method Grid\Column|Collection http_method(string $label = null)
     * @method Grid\Column|Collection http_path(string $label = null)
     * @method Grid\Column|Collection role_id(string $label = null)
     * @method Grid\Column|Collection user_id(string $label = null)
     * @method Grid\Column|Collection value(string $label = null)
     * @method Grid\Column|Collection username(string $label = null)
     * @method Grid\Column|Collection password(string $label = null)
     * @method Grid\Column|Collection avatar(string $label = null)
     * @method Grid\Column|Collection remember_token(string $label = null)
     * @method Grid\Column|Collection image(string $label = null)
     * @method Grid\Column|Collection sort(string $label = null)
     * @method Grid\Column|Collection is_opened(string $label = null)
     * @method Grid\Column|Collection deleted_at(string $label = null)
     * @method Grid\Column|Collection migration(string $label = null)
     * @method Grid\Column|Collection batch(string $label = null)
     * @method Grid\Column|Collection phone_num(string $label = null)
     * @method Grid\Column|Collection wechat_num(string $label = null)
     * @method Grid\Column|Collection email(string $label = null)
     * @method Grid\Column|Collection token(string $label = null)
     * @method Grid\Column|Collection level(string $label = null)
     * @method Grid\Column|Collection pid(string $label = null)
     * @method Grid\Column|Collection product_id(string $label = null)
     * @method Grid\Column|Collection cover_img(string $label = null)
     * @method Grid\Column|Collection origin_price(string $label = null)
     * @method Grid\Column|Collection sale_price(string $label = null)
     * @method Grid\Column|Collection cases(string $label = null)
     * @method Grid\Column|Collection tech_param(string $label = null)
     * @method Grid\Column|Collection cad_model(string $label = null)
     * @method Grid\Column|Collection cad_design(string $label = null)
     * @method Grid\Column|Collection su_model(string $label = null)
     * @method Grid\Column|Collection other(string $label = null)
     * @method Grid\Column|Collection logo(string $label = null)
     * @method Grid\Column|Collection showroom_id(string $label = null)
     * @method Grid\Column|Collection videos(string $label = null)
     * @method Grid\Column|Collection images(string $label = null)
     * @method Grid\Column|Collection nickname(string $label = null)
     * @method Grid\Column|Collection mobile(string $label = null)
     * @method Grid\Column|Collection open_id(string $label = null)
     * @method Grid\Column|Collection union_id(string $label = null)
     * @method Grid\Column|Collection status(string $label = null)
     * @method Grid\Column|Collection email_verified_at(string $label = null)
     * @method Grid\Column|Collection remark(string $label = null)
     */
    class Grid {}

    class MiniGrid extends Grid {}

    /**
     * @property Show\Field|Collection id
     * @property Show\Field|Collection name
     * @property Show\Field|Collection type
     * @property Show\Field|Collection version
     * @property Show\Field|Collection detail
     * @property Show\Field|Collection created_at
     * @property Show\Field|Collection updated_at
     * @property Show\Field|Collection is_enabled
     * @property Show\Field|Collection parent_id
     * @property Show\Field|Collection order
     * @property Show\Field|Collection icon
     * @property Show\Field|Collection uri
     * @property Show\Field|Collection extension
     * @property Show\Field|Collection permission_id
     * @property Show\Field|Collection menu_id
     * @property Show\Field|Collection slug
     * @property Show\Field|Collection http_method
     * @property Show\Field|Collection http_path
     * @property Show\Field|Collection role_id
     * @property Show\Field|Collection user_id
     * @property Show\Field|Collection value
     * @property Show\Field|Collection username
     * @property Show\Field|Collection password
     * @property Show\Field|Collection avatar
     * @property Show\Field|Collection remember_token
     * @property Show\Field|Collection image
     * @property Show\Field|Collection sort
     * @property Show\Field|Collection is_opened
     * @property Show\Field|Collection deleted_at
     * @property Show\Field|Collection migration
     * @property Show\Field|Collection batch
     * @property Show\Field|Collection phone_num
     * @property Show\Field|Collection wechat_num
     * @property Show\Field|Collection email
     * @property Show\Field|Collection token
     * @property Show\Field|Collection level
     * @property Show\Field|Collection pid
     * @property Show\Field|Collection product_id
     * @property Show\Field|Collection cover_img
     * @property Show\Field|Collection origin_price
     * @property Show\Field|Collection sale_price
     * @property Show\Field|Collection cases
     * @property Show\Field|Collection tech_param
     * @property Show\Field|Collection cad_model
     * @property Show\Field|Collection cad_design
     * @property Show\Field|Collection su_model
     * @property Show\Field|Collection other
     * @property Show\Field|Collection logo
     * @property Show\Field|Collection showroom_id
     * @property Show\Field|Collection videos
     * @property Show\Field|Collection images
     * @property Show\Field|Collection nickname
     * @property Show\Field|Collection mobile
     * @property Show\Field|Collection open_id
     * @property Show\Field|Collection union_id
     * @property Show\Field|Collection status
     * @property Show\Field|Collection email_verified_at
     * @property Show\Field|Collection remark
     *
     * @method Show\Field|Collection id(string $label = null)
     * @method Show\Field|Collection name(string $label = null)
     * @method Show\Field|Collection type(string $label = null)
     * @method Show\Field|Collection version(string $label = null)
     * @method Show\Field|Collection detail(string $label = null)
     * @method Show\Field|Collection created_at(string $label = null)
     * @method Show\Field|Collection updated_at(string $label = null)
     * @method Show\Field|Collection is_enabled(string $label = null)
     * @method Show\Field|Collection parent_id(string $label = null)
     * @method Show\Field|Collection order(string $label = null)
     * @method Show\Field|Collection icon(string $label = null)
     * @method Show\Field|Collection uri(string $label = null)
     * @method Show\Field|Collection extension(string $label = null)
     * @method Show\Field|Collection permission_id(string $label = null)
     * @method Show\Field|Collection menu_id(string $label = null)
     * @method Show\Field|Collection slug(string $label = null)
     * @method Show\Field|Collection http_method(string $label = null)
     * @method Show\Field|Collection http_path(string $label = null)
     * @method Show\Field|Collection role_id(string $label = null)
     * @method Show\Field|Collection user_id(string $label = null)
     * @method Show\Field|Collection value(string $label = null)
     * @method Show\Field|Collection username(string $label = null)
     * @method Show\Field|Collection password(string $label = null)
     * @method Show\Field|Collection avatar(string $label = null)
     * @method Show\Field|Collection remember_token(string $label = null)
     * @method Show\Field|Collection image(string $label = null)
     * @method Show\Field|Collection sort(string $label = null)
     * @method Show\Field|Collection is_opened(string $label = null)
     * @method Show\Field|Collection deleted_at(string $label = null)
     * @method Show\Field|Collection migration(string $label = null)
     * @method Show\Field|Collection batch(string $label = null)
     * @method Show\Field|Collection phone_num(string $label = null)
     * @method Show\Field|Collection wechat_num(string $label = null)
     * @method Show\Field|Collection email(string $label = null)
     * @method Show\Field|Collection token(string $label = null)
     * @method Show\Field|Collection level(string $label = null)
     * @method Show\Field|Collection pid(string $label = null)
     * @method Show\Field|Collection product_id(string $label = null)
     * @method Show\Field|Collection cover_img(string $label = null)
     * @method Show\Field|Collection origin_price(string $label = null)
     * @method Show\Field|Collection sale_price(string $label = null)
     * @method Show\Field|Collection cases(string $label = null)
     * @method Show\Field|Collection tech_param(string $label = null)
     * @method Show\Field|Collection cad_model(string $label = null)
     * @method Show\Field|Collection cad_design(string $label = null)
     * @method Show\Field|Collection su_model(string $label = null)
     * @method Show\Field|Collection other(string $label = null)
     * @method Show\Field|Collection logo(string $label = null)
     * @method Show\Field|Collection showroom_id(string $label = null)
     * @method Show\Field|Collection videos(string $label = null)
     * @method Show\Field|Collection images(string $label = null)
     * @method Show\Field|Collection nickname(string $label = null)
     * @method Show\Field|Collection mobile(string $label = null)
     * @method Show\Field|Collection open_id(string $label = null)
     * @method Show\Field|Collection union_id(string $label = null)
     * @method Show\Field|Collection status(string $label = null)
     * @method Show\Field|Collection email_verified_at(string $label = null)
     * @method Show\Field|Collection remark(string $label = null)
     */
    class Show {}

    /**
     
     */
    class Form {}

}

namespace Dcat\Admin\Grid {
    /**
     
     */
    class Column {}

    /**
     
     */
    class Filter {}
}

namespace Dcat\Admin\Show {
    /**
     
     */
    class Field {}
}
