<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Region
 *
 * @property int $id 编号
 * @property int $code 地区代码
 * @property int $parent_code 父级
 * @property int $type 类型：1省，2市，3区
 * @property string $name 名称
 * @property string $full_name 全名
 * @method static \Illuminate\Database\Eloquent\Builder|Region newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|Region newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|Region query()
 * @method static \Illuminate\Database\Eloquent\Builder|Region whereCode($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Region whereFullName($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Region whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Region whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Region whereParentCode($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Region whereType($value)
 * @mixin \Eloquent
 */
class Region extends Model
{
    use HasFactory;
}
