<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Api Language Lines
    |--------------------------------------------------------------------------
    */

    'SUCCESS' => '操作成功',
    'FAIL' => '操作失败',
    'UPLOAD_SUCCESS' => '上传成功',
    'REQUESTS_TOO_FREQUENTLY' => '请求太频繁',
    'NOT_LOGIN' => '用户未登录',
    'NOT_EXIST' => '用户不存在',
    'PARAMS_ERROR' => '参数异常',
    'SAVE_ERROR' => '保存失败',
    'FEED_NOT_EXIST' => '动态不存在',
    'COMMENT_NOT_EXIST' => '评论不存在',
    'USER_NOT_EXIST' => '用户不存在',
    'CONTENT_NOT_NULL' => '内容不能为空',
    'WECHAT_CONFIG_LACK' => '微信参数未配置',
    'GET_OPENID_FALSE' => 'openId获取失败',
    'REGISTER_FALSE' => '注册失败',
    'REGISTER_CONFIRM_FALSE' => '用户验证失败',
    'DATA_SAVE_FALSE' => '数据保存失败',
    'MODULE_IS_NOT_USE' => '模块未安装，请检查后台配置',
    'CONFIGURE_SMS_TEMPLATE' => '请先配置短信模板',
    'SMS_AUTH_FAILED' => '短信授权错误',
    'SMS_RETURN_ERROR' => '短信返回错误',
    'NEED_CONFIGURE' => '请先至后台配置',
    'USER_IN_BLACK_LIST' => '用户被拉入黑名单',
    'USER_NO_AUTH' => '用户无权限',
    'CONFIG_ALI_PRODUCT_KEY_NEED' => '请在后台配置阿里云物联网产品key',
    'DEVICE_NOT_FOUND' => '设备不存在',
    'DEVICE_INFO_ERROR' => '设备信息异常',
    'DEVICE_NORMAL_ERROR' => '设备故障请联系客服!',
    'ORDER_CREATE_ERROR' => '订单创建失败',
    'RECHARGE_WECHAT_FAILURE' => '微信充值创建订单失败',
    'DATA_NOT_FOUND' => '数据不存在',
    'CASH_NEED_CONFIG' => '请先填写提现配置',
    'CASH_METHOD_NOT_ALLOW' => '无效的提现方式',
    'CASH_MONEY_FEW' => '提现金额必须大于最小设置金额',
    'CASH_TIMES_OUT' => '当日提现次数达到上限',
    'CASH_MONEY_NO_ENOUGH' => '余额不足',
    'DATA_DECODE_FAILURE' => '解密失败',
    'MOBILE_CODE_FALSE' => '请先获取验证码',
    'VERIFY_CODE_FALSE' => '验证码错误',
    'SESSION_KEY_INVALID' => 'sessionKey无效',
    'ILLEGAL_OPERATION' => '非法操作',
    'USER_IDENTIFY_NOT_ALLOW' => '请先通过身份审核！',
    'USER_FREEZE_ERROR' => '用户被冻结！',
    'USER_IS_APPLY' => '用户加盟审核中！',
    'USER_ACCOUNT_NOT_ENOUGH' => '用户余额不足！',
    'DEVICE_NET_ERROR' => '设备无网络！',
    'USER_TRANSPORT_NO_AUTH' => '用户无收运权限！',
    'CASH_MONEY_MAX' => '系统当日提现金额达到上限！',
    'MOBILE_HAD_EXIST' => '该手机号已被使用！',
    'MOBILE_NO_REGISTER' => '手机号未注册',
    'PASSWORD_ERROR' => '密码错误',
    'EMAIL_NO_BIND'  => '请先绑定邮箱才可以解绑手机',
    'MOBILE_NO_BIND' => '请先绑定手机才可以解绑邮箱',
    'USER_HAD_JOIN'  => '用户已申请或已加入',
    'PASSWORD_NOT_SET'  => '您尚未设置密码',
    'APPLY_ADD_FRIEND'  => '申请添加你为好友',
    'ALREADY_FRIEND'  => '已经是好友',
    'OPPOSITE_ACCOUNT_ERROR'  => '对方账户错误',
    'ADD_FRIEND_ERROR'  => '添加好友失败',
    'NOT_ON_YOUR_BLACKLIST'  => '对方不在你的黑名单中',
    'YOU_CANT_BLACK_YOURSELF'  => '不能拉黑自己',
    'GROUP_CHAT_DOES_NOT_EXIST'  => '群聊不存在',
    'GROUP_NAME_NOT_NULL'  => '群名称不能为空',
    'TENCENT_IM_USER_ID_NULL'  => '用户 tencent_im_user_id 不存在',
    'UNAUTHORIZED_OPERATION'  => '无权操作',

    'ATTACHMENT_UPLOAD_INVALID'=>'文件上传失败',
    'ATTACHMENT_SAVE_ERROR'=>'文件保存失败',
    'ATTACHMENT_MAKE_FOLDER_ERROR'=>'文件夹创建失败',
    'ATTACHMENT_TYPE_ERROR'=>'文件类型错误',
    'ATTACHMENT_SIZE_EXCEEDED'=>'文件大小超出',
    'ATTACHMENT_FILE_NULL'=>'请上传文件',

    'PLEASE_ENTER_MOBILE_PHONE_NUMBER'=>'请输入手机号',
    'MOBILE_PHONE_NUMBER_FORMAT_ERROR'=>'手机号码格式错误',
    'VERIFICATION_CODE_NOT_NULL'=>'验证码必须',
    'TYPE_NOT_NULL'=>'类型必须',
    'KEY_NOT_NULL'=>'密钥必须',
    'PLEASE_ENTER_EMAIL'=>'请输入邮箱',
    'MAILBOX_FORMAT_ERROR'=>'邮箱格式错误',
    'VERIFICATION_CODE_ERROR' => '验证码错误',
    'MAILBOX_VALIDATION_NOTIFICATION' => '邮箱验证通知',
    'VERIFICATION_CODE_THIS_TIME' => '您本次的验证码是',
    'VALID_FOR_5_MINUTES' => '有效期 5 分钟',
    'HAS_BIND_WEIXIN' => '该账户已经绑定了微信',
    'HAS_BIND_FACEBOOK' => '该账户已经绑定了facebook',
];
